#!/usr/bin/env perl

use v5.24;

use warnings;
use strict;

use Function::Parameters;
use Log::Any::Adapter;
use Log::Log4perl qw(:easy);
use Path::Tiny;
use TOML qw(from_toml);

use App::ArchLinux::PackagerTools;

=head1 NAME

perlpkg.pl - Script to support perl packaging on Arch Linux

=head1 SYNOPSIS

  perlpkg.pl [options]

  Options:
    --debug

=head1 DESCRIPTION

TODO

=head1 CONFIGURATION

To configure the script create a file called $XDG_CONFIG_HOME/perlpkg/config.toml.

The configuration file is not yet used/read.

TODO

=head1 SEE ALSO

L<App::ArchLinux::PackagerTools>

=cut

#my $config = from_toml(path(($ENV{XDG_CONFIG_HOME} // $ENV{HOME}."/.config")."/perlpkg/config.toml")->slurp);

Log::Log4perl->easy_init($ERROR);
if ($ARGV[0] // "" eq "--debug") {
	Log::Log4perl->easy_init($TRACE);
} else {
	Log::Log4perl->easy_init($INFO);
}
Log::Any::Adapter->set('Log4perl');

my $app = App::ArchLinux::PackagerTools->new();

use Data::Dumper;
my $dists = $app->get_distributions_in_repo();
my $dist_names = [map {$_->{dist_name}} $dists->@*];
print Dumper($app->get_updateable_packages($dist_names));

# TODO fetch maintainer from archweb
# TODO generate new pacakge pkgbuild
# TODO build
# TODO release
